package org.esupportail.portal.utils.database;

import java.util.HashMap;

/**
 * Interface dcrivant les mthodes que doit implmenter une classe de configuration pour une channel
 * utilisant le principe des pools<br>
 * <br>
 * (c)Copyright <a href="http://www.esup-portail.org">ESup-Portail 2004</a><br>
 * @author <a href="http://mailto:olivier.ziller@univ-nancy2.fr">Olivier Ziller</a>
 * @version $Revision: 1.1 $
 */

public interface IConfigPools {
	
	/**
	 * La liste des pools lie  la configuration
	 * @return
	 */
	public HashMap getPools();
	
	/**
	 * Positionne la liste des pools lie  la configuration
	 * @param map
	 */
	public void setPools(HashMap map);

	/**
	 * Rcupre la connexion (JDBC ou JNDI) par dfaut de la channnel si elle est dfinie 
	 */
	public Query getConnexionDefault();
	
	/**
	 * Rcupre la connexion (JDBC ou JNDI) dont le nom est pass en paramtre 
	 */
	public Query getConnexion(String name);
}
